summaryrefslogtreecommitdiffstats
path: root/.devcontainer/install-composer.sh
diff options
context:
space:
mode:
authorDavey Shafik <me@daveyshafik.com>2020-08-11 05:41:00 +0000
committerDavey Shafik <me@daveyshafik.com>2020-08-11 05:43:40 +0000
commit49e3d00aba60325266ee12270417242ec898fbdf (patch)
tree217fd14b816827f27837ecedf1d468c2a971e50d /.devcontainer/install-composer.sh
parentfaf80984bbba24f76ce66d3bf15d4628bddca63c (diff)
downloadphp7-mysql-shim-49e3d00aba60325266ee12270417242ec898fbdf.zip
php7-mysql-shim-49e3d00aba60325266ee12270417242ec898fbdf.tar.gz
php7-mysql-shim-49e3d00aba60325266ee12270417242ec898fbdf.tar.bz2
Update to include ext/mysqli and composer
Diffstat (limited to '.devcontainer/install-composer.sh')
-rwxr-xr-x.devcontainer/install-composer.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/.devcontainer/install-composer.sh b/.devcontainer/install-composer.sh
new file mode 100755
index 0000000..ff40a28
--- /dev/null
+++ b/.devcontainer/install-composer.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+EXPECTED_CHECKSUM="$(wget -q -O - https://composer.github.io/installer.sig)"
+php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"
+ACTUAL_CHECKSUM="$(php -r "echo hash_file('sha384', 'composer-setup.php');")"
+
+if [ "$EXPECTED_CHECKSUM" != "$ACTUAL_CHECKSUM" ]
+then
+ >&2 echo 'ERROR: Invalid installer checksum'
+ rm composer-setup.php
+ exit 1
+fi
+
+php composer-setup.php --install-dir=/usr/local/bin --filename=composer --quiet
+RESULT=$?
+rm composer-setup.php
+exit $RESULT \ No newline at end of file